export declare enum TokenType {
    Integer = "Integer",
    ByteString = "ByteString",
    ListStart = "ListStart",
    ListEnd = "ListEnd",
    DictionaryStart = "DictionaryStart",
    DictionaryEnd = "DictionaryEnd"
}
export interface IntegerToken {
    type: TokenType.Integer;
    value: Uint8Array;
}
export interface ByteStringToken {
    type: TokenType.ByteString;
    value: Uint8Array;
}
export interface ListStartToken {
    type: TokenType.ListStart;
}
export interface ListEndToken {
    type: TokenType.ListEnd;
}
export interface DictionaryStartToken {
    type: TokenType.DictionaryStart;
}
export interface DictionaryEndToken {
    type: TokenType.DictionaryEnd;
}
export type Token<T extends TokenType = TokenType> = T extends TokenType.Integer ? IntegerToken : T extends TokenType.ByteString ? ByteStringToken : T extends TokenType.ListStart ? ListStartToken : T extends TokenType.ListEnd ? ListEndToken : T extends TokenType.DictionaryStart ? DictionaryStartToken : T extends TokenType.DictionaryEnd ? DictionaryEndToken : never;
export declare class Tokenizer extends TransformStream<Uint8Array, Token> {
    constructor();
}
