export type FileDirLike = FileSystemHandle | FileSystemEntry | File;
export type FileDirLikes = Iterable<FileDirLike> | AsyncIterable<FileDirLike>;
export declare function isFile(fileDirLike: FileDirLike): fileDirLike is File;
export declare function isFileSystemDirectoryEntry(fileDirLike: FileDirLike): fileDirLike is FileSystemDirectoryEntry;
export declare function isFileSystemFileEntry(fileDirLike: FileDirLike): fileDirLike is FileSystemFileEntry;
export declare function isFileSystemDirectoryHandle(fileDirLike: FileDirLike): fileDirLike is FileSystemDirectoryHandle;
export declare function isFileSystemFileHandle(fileDirLike: FileDirLike): fileDirLike is FileSystemFileHandle;
export declare function getEntriesOfDirEntry(dirEntry: FileSystemDirectoryEntry): AsyncGenerator<FileSystemEntry, void, unknown>;
export declare function getFileOfFileEntry(fileSystemFileEntry: FileSystemFileEntry): Promise<File>;
